import React, { HTMLAttributes } from 'react';
import './style.less';
declare type Size = 'default' | 'small' | 'large';
interface BaseSpinProps {
    size?: Size;
    tip?: React.ReactNode;
    indicator?: React.ReactNode;
    className?: string;
    spinning?: boolean;
}
declare type SpinProps = BaseSpinProps & HTMLAttributes<HTMLElement>;
declare function Spin(props: SpinProps): JSX.Element;
export default Spin;
