import { AlignType } from 'rc-trigger/lib/interface';
export declare type Direction = 'left' | 'right' | 'top' | 'bottom' | 'topLeft' | 'leftTop' | 'topRight' | 'rightTop' | 'bottomRight' | 'rightBottom' | 'bottomLeft' | 'leftBottom';
export declare type PlacementsType = {
    [dir in Direction]: AlignType;
};
export declare const placements: (offset: number) => PlacementsType;
export default placements;
