import React, { HTMLAttributes, ReactElement } from 'react';
import './style.less';
interface BackTopProps extends HTMLAttributes<HTMLElement> {
    /** 点击的回调函数 */
    onClick?: (e: React.MouseEvent<HTMLDivElement>) => void;
    /** 距离容器的可见高度 */
    visibilityHeight?: string | number;
    children?: ReactElement;
    /** 自定义容器,默认window */
    target?: () => Window | HTMLElement;
    className?: string;
}
declare function BackTop(props: BackTopProps): React.ReactPortal | null;
export default BackTop;
