import { HTMLAttributes, CSSProperties } from 'react';
import './style.less';
declare type ThemeProps = 'primary' | 'secondary' | 'success' | 'info' | 'warning' | 'danger' | 'light' | 'dark';
interface BasicProgressProps {
    percent: number;
    strokeHeight?: number;
    showText?: boolean;
    styles?: CSSProperties;
    theme?: ThemeProps;
}
declare type ProgressProps = BasicProgressProps & HTMLAttributes<HTMLElement>;
declare function Progress(props: ProgressProps): JSX.Element;
export default Progress;
