/// <reference types="react" />
import { SkeletonComponentProps, SkeletonProps, SkeletonParagraphProps } from './interface';
import './style.less';
declare function Skeleton(props: SkeletonProps): JSX.Element;
declare namespace Skeleton {
    var Paragraph: (props: SkeletonParagraphProps) => JSX.Element;
    var Title: (props: SkeletonComponentProps) => JSX.Element;
    var Avatar: (props: SkeletonComponentProps) => JSX.Element;
    var VideoCover: (props: SkeletonComponentProps) => JSX.Element;
    var Button: (props: SkeletonComponentProps) => JSX.Element;
    var TextBox: (props: SkeletonComponentProps) => JSX.Element;
}
export default Skeleton;
