import React, { HTMLAttributes } from 'react';
import './style.less';
interface BasicSwitchProps {
    defaultChecked?: boolean;
    onChange?: (checked: boolean) => void;
    disabled?: boolean;
    unCheckedChildren?: React.ReactNode;
    checkedChildren?: React.ReactNode;
    className?: string;
}
declare type SwitchProps = BasicSwitchProps & Omit<HTMLAttributes<HTMLElement>, 'onChange'>;
declare function Switch(props: SwitchProps): JSX.Element;
export default Switch;
